#!/bin/sh
#----------------------------------------------------------------------------
# /tmp/install.sh - install and cleanup filelist of meta package
#
# Copyright (c) 2001-2023 the eisfair team, team(at)eisfar(dot)org
#
# Creation   : 2021-01-16 dv
# Last Update: 2023-07-23 09:11:10 dv
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#---------------------------------------------------------------------------

status=$(eisman check linux-firmware 3.1.5)
if [ "${status}" = "installed" ] || [ "${status}" = "new" ]
then
    files=$(egrep "^((b )|(u )|(s )).* lib/firmware/.*" /etc/filelist.d/firmware_sound-files.txt | cut -d' ' -f6)
    for file in ${files}
    do
        pattern=$(echo ${file} | sed 's#/#\\/#g')
        sed -i "/${pattern}/d" /etc/filelist.d/linux-firmware-files.txt
    done
fi
